//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "weircd.h"

#ifndef WIN
#define CTRLCSIG SIGINT

void sigterm(int blu) {
	signal(SIGTERM, sigterm);
	willquit = 1;
}
void sighup(int blu) {
	printf("Received SIGHUP - attempting to reload config.\n");
	irc_DoRehash(NOUSER);
	signal(SIGHUP, sighup);
}
void sigctrlc(int blu) {
	printf("Got terminal shutdown - initiating safe shutdown for not corrupting any services databases.\n");
	signal(CTRLCSIG, sigctrlc);
	willquit = 1;
}
void signals_Setup() {
	signal(SIGTERM, sigterm);
	signal(SIGHUP, sighup);
	signal(CTRLCSIG, sigctrlc);
}
#endif