//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

// This implements modules/weircd_api_services.h functions and helper functions
// that are needed by the implementations.
// Additionally, it provides those functions for internal use to communicate
// with a services module:

void servicesmodule_InitConfigPreCheck(const char* modname);
int servicesmodule_ConfigPreCheckOption(const char* modname, const char* option, const char* value);
int servicesmodule_FinishConfigPreCheck(const char* modname);
int servicesmodule_CallStartup(const char* modname, int optioncount, const char** optionnames, const char** optionvalues);
void servicesmodule_CallShutdown(const char* modname);